Skip to main content
GET
/
v1
/
payments
Get Payment by Merchant Order ID
curl --request GET \
  --url https://api-sandbox.y.uno/v1/payments
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "merchant_order_id": "<string>",
    "description": "<string>",
    "country": "<string>",
    "amount": {
      "currency": "<string>",
      "value": 123
    },
    "payment_status": {
      "status": "CREATED",
      "transactions": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "status": "<string>",
          "type": "PURCHASE",
          "amount": {
            "currency": "<string>",
            "value": 123
          },
          "created_at": "2023-11-07T05:31:56Z"
        }
      ]
    },
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Query Parameters

merchant_order_id
string
required

Response

200 - application/json

Payment found

id
string<uuid>
account_id
string<uuid>
merchant_order_id
string
description
string
country
string
amount
object
payment_status
object
created_at
string<date-time>